﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinScheduleEFCore
{
    public class AppointmentsContext : DbContext
    {
        public DbSet<MyAppointment>? Appointments { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
            => optionsBuilder.UseSqlite("Data Source=myappointments.db");

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<MyAppointment>().HasData(
                new MyAppointment { MyAppointmentId = 1, StartTime = DateTime.Now, EndTime = DateTime.Now.AddHours(1), Name = "Appointment 1" },
                new MyAppointment { MyAppointmentId = 2, StartTime = DateTime.Now.AddHours(2), EndTime = DateTime.Now.AddHours(3),  Name = "Appointment 2" }
                );
           }

    }
}
