using Microsoft.EntityFrameworkCore;

namespace WinScheduleEFCore
{
    public partial class Form1 : Form
    {
        private AppointmentsContext dbContext;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           // base.OnLoad(e);

            this.dbContext = new AppointmentsContext();

            this.dbContext.Database.EnsureCreated();

            this.dbContext.Appointments.Load();

            this.ultraCalendarInfo1.DataBindingsForAppointments.BindingContextControl = this;
            this.ultraCalendarInfo1.DataBindingsForAppointments.DataSource = this.dbContext.Appointments.Local.ToBindingList();
            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Name";
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            base.OnClosing(e);

            this.dbContext?.Dispose();
            this.dbContext = null;
        }

        private void ultraDayView1_AppointmentResized(object sender, Infragistics.Win.UltraWinSchedule.AppointmentResizedEventArgs e)
        {
            Console.WriteLine(e.Appointment.StartDateTime);
            Console.WriteLine(e.Appointment.EndDateTime);
            Console.WriteLine( this.dbContext.Appointments);
        }
    }
}